{{template "header.html" .S}}

{{$role := .S.Role}}
{{$downloadCounter := .DownloadCounter}}
{{with .Book}}
<script>
function delBook(){
	var div = document.getElementById('delete');
	div.innerHTML = 
'<div class="alert alert-error fade in"> \
	<a class="close" data-dismiss="alert">×</a> \
	<h4 class="alert-heading">Do you really want to delete it?</h4> \
	<p>Remove a book is permanent, you won\'t be able to get it back</p> \
	<a class="btn btn-danger" href="/delete/{{.ID}}/">Remove it</a> \
	<a class="btn" href="#" data-dismiss="alert">Cancel</a> \
</div>';
}
</script>
<div id="delete"></div>

<header class="row">
	<div class="span8 offset4">
	<h1>{{.Title}}
	{{if not .Active}}
	<span class="label label-warning">waiting for moderation</span>
	{{end}}
	</h1>
	</div>
</header>
<div class="row">
{{if .Cover}}
	<div class="span4">
		<img src="/cover/{{.ID}}/big/{{.Title}}.jpg" alt="{{.Title}}" class="pull-right" />
	</div>
{{end}}

	<div class="span8">
	<div class="row"><p></p></div>
	<div class="row">
	<div class="span5">
		<dl class="dl-horizontal">
		{{if .Authors}}<dt>Authors</dt> <dd>{{range .Authors}}<a href="/search/?q=author:{{.}}">{{.}}</a>, {{end}}</dd>{{end}}
		{{if .Publisher}}<dt>Publisher</dt> <dd><a href="/search/?q=publisher:{{.Publisher}}">{{.Publisher}}</a></dd>{{end}}
		{{if .Tags}}<dt>Tags</dt> <dd>{{range .Tags}}<a href="/search/?q=tag:{{.}}">{{.}}</a>, {{end}}</dd>{{end}}
		{{if .Isbn}}<dt>ISBN</dt> <dd>{{.Isbn}}</dd>{{end}}
		{{if .Date}}<dt>Date</dt> <dd>{{.Date}}</dd>{{end}}
		{{if .Lang}}<dt>Lang</dt> <dd><a href="/search/?q=lang:{{.Lang}}">{{.Lang}}</a> </dd>{{end}}
		</dl>
	</div>
	<div class="span3">
		<div class="row">
		<div class="btn-group pull-right">
		<a href="/download/{{.ID}}/{{.Title}}.epub" class="btn btn-large btn-inverse"><i class="icon-download-alt icon-white"></i> download</a>
		<a href="/read/{{.ID}}" class="btn btn-large btn-warning"><i class="icon-eye-open icon-white"></i> read it!</a>
		</div>
		<div class="pull-right">
			<small>Downloaded: {{$downloadCounter}} times</small>
		</div>
		</div>
		{{if eq $role "admin" "moderator"}}
		<div class="row"><p></p></div>
		<div class="row">
		<div class="btn-group pull-right">
		<a href="/edit/{{.ID}}" class="btn btn-primary"><i class="icon-pencil"></i> Edit</a>
		<a href="#" onClick="delBook();" class="btn btn-danger"><i class="icon-trash"></i> Delete</a>
		</div>
		</div>
		{{end}}
	</div>
	</div>
{{end}}

	<div class="row">
	<div class="span8">
	{{range .Description}}
		<p>{{.}}</p>
	{{end}}
	</div>
	</div>
	</div>
</div>

{{if .Lists}}
<br />
<div class="row">
<div class="span10 offset1">
<h4>Book in lists:</h4>
<ul class="nav nav-tabs nav-stacked">
{{range .Lists}}
	<li><a href="/list/{{.ListID}}">{{.Title}} ({{len .Books}})
		<span class="pull-right">By {{.User.Username}}</span></a>
	</li>
{{end}}
</ul>
</div>
</div>
{{else}}
<br />
{{end}}

{{if .S.User}}
<div class="row">
	<h5 class="offset1 span2">Add book to a list:</h5>
	<form class="form-inline" method="POST" action="/list/">
		<input type="hidden" id="book_id" name="book_id" value="{{.Book.ID}}">
		<div class="input-append">
		<input type="text" data-provide="typeahead" data-source='["{{strings_join .UserLists "\", \""}}"]' data-items="4" id="list" name="list" autocomplete="off">
		<button type="submit" class="btn btn-primary">Add</button>
		</div>
	</form>
</div>
{{end}}

{{template "footer.html"}}
